<template>
  <div id="index">
    <admin-frame @search="search" :limit="limit" :total="total" topType="2" @back="back" @add="toAdd" :useNav="false">
      <template v-slot:info>
        <list-1 :list="list" @toEdit="toEdit" @toDel="toDel"></list-1>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import list1 from './parts/list-1.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: answer_tea } = createNamespacedHelpers('answer_tea');
export default {
  name: 'index',
  props: {},
  components: { adminFrame, list1 },
  data: function () {
    return {
      list: [],
      limit: 4,
      total: 0,
    };
  },
  created() {
    this.search();
  },
  methods: {
    ...answer_tea(['query', 'delete']),
    async search({ skip = 0, limit = this.limit, searchName, ...info } = {}) {
      if (searchName) info.name = searchName;
      let res = await this.query({ skip, limit, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },
    // 添加
    toAdd() {
      this.$router.push({ path: `/account/answertea/detail` });
    },
    // 编辑
    toEdit(data) {
      this.$router.push({ path: `/account/answertea/detail`, query: { id: data.id } });
    },
    async toDel(data) {
      let res = await this.delete(data.id);
      if (this.$checkRes(res)) {
        this.$toast({ type: `success`, message: `操作完成` });
        this.search();
      }
    }, // 返回

    back() {
      this.$router.push({ path: `/account/index` });
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped></style>
